* ENTER.CMD

SET TALK OFF
STORE T TO MANOTHER

DO WHILE MANOTHER
   ERASE
   GOTO BOTTOM
   STORE # + 1 TO NBR
   STORE STR(NBR,2) TO NBR1
   @ 1,10 SAY "STUDENT # " + NBR1
   STORE "                         " TO MNAME
   STORE DATE() TO MDATE
   STORE F TO MOK
   DO WHILE .NOT. MOK
      @  5,10 SAY "NAME --------> " GET MNAME PICT "!!!!!!!!!!!!!!!!!!!!!!!!!"
      @  6,10 SAY "                 (Last Name, First Name)"
      @ 19,25 SAY "Type END to Quit."
      READ
      @ 19,25 SAY "                  "
      IF MNAME = "END" + " "
          STORE T TO MOK
          STORE F TO MANOTHER
          RELEASE ALL LIKE M*
          RETURN
      ELSE
         IF .NOT. ", " $MNAME
            @ 20,10 SAY "INVALID ENTRY:  ENTER LAST NAME, FIRST NAME!"
            LOOP
         ELSE
            @ 8,10 SAY "ENTRY DATE --> " GET MDATE PICT "##/##/##"
            @ 20,10 SAY "          Hit <RETURN> or Type Correct Date."
            READ
         ENDIF
      ENDIF
         @ 20,10 SAY "                                                  "
         @ 15, 0 SAY " "
         INPUT "          IS ENTRY CORRECT <Y/N> ?   " TO MOK
      ENDDO

      APPEND BLANK
      REPLACE NAME WITH MNAME, ENTER WITH MDATE
      REPLACE GRADE1 with "NM"
      REPLACE GRADE2 with "NM"
      REPLACE TOTAL WITH 999.00

      STORE 1 TO MCNT
      DO WHILE MCNT <6
         STORE "TEST0"+STR(MCNT,1) TO MFLD
         REPLACE &MFLD WITH 999.00
         STORE 1 + MCNT TO MCNT
      ENDDO

      STORE 1 TO MCNT
      DO WHILE MCNT <6
         STORE "PROJ0"+STR(MCNT,1) TO MFLD
         REPLACE &MFLD WITH 999.00
         STORE 1 + MCNT TO MCNT
      ENDDO

      STORE 1 TO MCNT
      DO WHILE MCNT < 16
         IF MCNT<10
            STORE "ASN0"+STR(MCNT,1) TO MFLD
         ELSE
            STORE "ASN" +STR(MCNT,2) TO MFLD
         ENDIF
         REPLACE &MFLD WITH 999.00
         STORE 1 + MCNT TO MCNT
      ENDDO
ENDDO
release all like M*
RETURN


     READ
      @ 19,30 SAY " 